Skip to main content

Get all Events

GEThttps://api.propexo.com/crm/v1/events/

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters​

order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
updated_at_gte string | null

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_lte string | null

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100
integration_id string

The Propexo unique identifier for the integration

integration_vendor string
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_REST

The CRM system of record

community_id string

The Propexo unique identifier for the community

prospect_id string

The Propexo unique identifier for the prospect

Response​

Successful response

    meta objectrequired
    offsetinteger

    The offset of the first result

    Possible values: >= 0

    Example: 0
    limitinteger

    The number of results to return

    Possible values: >= 0 and <= 250

    Example: 100
    orderBy object[]required
  • Array [
  • object
  • ]
  • hasMoreboolean | nullnullable

    Whether there are more results

    totalinteger

    The total number of results

    Possible values: >= 0

    Example: 1000
    results object[]required
  • Array [
  • idstringrequired

    The Propexo unique identifier for the event

    created_atstringrequired

    The date record first entered Propexo

    updated_atstringrequired

    The date record was last updated in Propexo

    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    x_agent_idstring | nullnullablerequired

    The external ID of the agent from the integration vendor

    x_community_idstringrequired

    The external ID of the community from the integration vendor

    x_created_atstring | nullnullablerequired

    The date the record first entered the integration vendor

    x_idstringrequired

    The external ID from the integration vendor

    x_prospect_idstringrequired

    The external ID of the prospect from the integration vendor

    appointment_datetimestring | nullnullablerequired

    The date when the appointment will occur

    appointment_duration_minutesnumber | nullnullablerequired

    The duration of the appointment, in minutes

    custom_data object | nullrequired
    object
    event_datetimestring | nullnullablerequired

    The date when the event will occur

    notesstring | nullnullablerequired

    Notes associated with the event

    type_rawstring | nullnullablerequired

    The raw type associated with the event

    agent_idstring | nullnullablerequired

    The Propexo unique identifier for the agent

    community_idstringrequired

    The Propexo unique identifier for the community

    prospect_idstringrequired

    The Propexo unique identifier for the prospect

    integration_idstringrequired

    The Propexo unique identifier for the integration

    integration_vendorEnum12required

    The CRM system of record

    Show 13 enum values
    APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_REST
  • ]

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /crm/v1/events/
curl https://api.propexo.com/crm/v1/events/ \
-H "Authorization: Bearer <token>"
200 Successful response
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": [
{
"id": "string",
"created_at": "string",
"updated_at": "string",
"last_seen": "string",
"x_agent_id": "string",
"x_community_id": "string",
"x_created_at": "string",
"x_id": "string",
"x_prospect_id": "string",
"appointment_datetime": "string",
"appointment_duration_minutes": 0,
"custom_data": "Unknown Type: object,null",
"event_datetime": "string",
"notes": "string",
"type_raw": "string",
"agent_id": "string",
"community_id": "string",
"prospect_id": "string",
"integration_id": "string",
"integration_vendor": "APPFOLIO"
}
]
}